## sixpack 0.99.001222

=== Makefile ===
#
# Makefile for bp.
#

# Set this to where you want bp installed.  Choices include:
# 1) your standard perl library path, usually /usr/lib/perl.
# 2) your site-specific perl library path, often /usr/lib/perl/site_perl
# 3) a completely new place, such as /usr/local/lib/bp
# 4) leave them here in the source directory
# options 3 and 4 will require that the environment variable BPHOME be set
# to run any bp programs, but I prefer them.

BPHOME = /usr/lib/perl
BPHOME = /usr/local/lib/bp

# Set this to where you want the included perl scripts to be installed.
BINDEST = /usr/local/bin

# This is the prefix that will be used for the perl scripts.
BINPREF = bib

test:
	(cd tests; make)

install: install.lib install.bin

install.lib:
	test -d $(BPHOME) || mkdir $(BPHOME)
	install -m 644 lib/*.pl $(BPHOME)

install.bin:
	install -m 755 bin/conv.pl  $(BINDEST)/$(BINPREF)conv
	install -m 755 bin/count.pl $(BINDEST)/$(BINPREF)count
	install -m 755 bin/grep.pl  $(BINDEST)/$(BINPREF)grep
	install -m 755 bin/rdup.pl  $(BINDEST)/$(BINPREF)rdup
	install -m 755 bin/sort.pl  $(BINDEST)/$(BINPREF)sort

## sixpack 0.68

=== debian/changelog ===
sixpack (1:0.68-1ubuntu1) oneiric; urgency=low

  * Merge from debian unstable. Remaining changes:
    - debian/README.Debian: Note about sixpack -> sixpack-bibtex rename.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sat, 25 Jun 2011 22:56:35 +0530

sixpack (1:0.68-1) unstable; urgency=low

  * New upstream release
  * Upgrade to dh_python2 (Closes: #617062)
  * Add setup.py changes to patch series
  * Change to python-all Build-Depends
  * Remove dh_clean -k
  * Add build-arch and build-indep targets in debian/rules
  * Upgrade to Source-Format 3.0 and remove dependence on quilt
  * Bump Debhelper compatibility to 8
  * upgrade to Standards-Version 3.9.2 (no changes)

 -- Carlo Segre <segre@debian.org>  Sun, 19 Jun 2011 15:09:01 -0500

sixpack (1:0.67-1) unstable; urgency=low

  * New upstream release

 -- Carlo Segre <segre@debian.org>  Tue, 23 Feb 2010 23:05:51 -0600

sixpack (1:0.66-3ubuntu1) natty; urgency=low

  * Merge from debian testing, remaining changes:
    - debian/README.Debian: Note about sixpack -> sixpack-bibtex rename.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sun, 31 Oct 2010 23:22:22 +0530

sixpack (1:0.66-3) unstable; urgency=low

  * Apply python-numpy to spline.py.

 -- Carlo Segre <segre@debian.org>  Sat, 24 Oct 2009 09:21:22 -0500

sixpack (1:0.66-2) unstable; urgency=low

  * Apply patch to use python-numpy instesd of python-numeric, 
    thanks to Kumar Appaiah <a.kumar@alumni.iitm.ac.in> 
    (Closes: #478463).
  * Convert all patched of original source to quilt.

 -- Carlo Segre <segre@debian.org>  Mon, 05 Oct 2009 00:01:27 -0500

sixpack (1:0.66-1) unstable; urgency=low

  * New upstream release
  * Update to Stndards-Version 3.8.3 (no changes)

 -- Carlo Segre <segre@debian.org>  Sat, 29 Aug 2009 21:16:41 -0500

sixpack (1:0.64-2ubuntu1) intrepid; urgency=low

  * Merge from debian unstable, remaining changes (LP: #255069):
    - debian/README.Debian: Note about sixpack -> sixpack-bibtex rename.

 -- Nathan Handler <nhandler@ubuntu.com>  Tue, 05 Aug 2008 12:55:09 -0500

sixpack (1:0.64-2) unstable; urgency=low

  * Modify debian/SIXpack.desktop to validate with desktop-file-validate
    (Closes: #492269).  Thanks to Nathan Handler <nhandler@ubuntu.com>

 -- Carlo Segre <segre@debian.org>  Thu, 24 Jul 2008 14:11:14 -0500

sixpack (1:0.64-1ubuntu1) intrepid; urgency=low

  * Merge from debian unstable, remaining changes (LP: #250323):
    - debian/README.Debian: Note about sixpack -> sixpack-bibtex rename.
  * Modify debian/SIXpack.desktop to validate with desktop-file-validate

 -- Nathan Handler <nhandler@ubuntu.com>  Sun, 20 Jul 2008 16:17:46 -0500

sixpack (1:0.64-1) unstable; urgency=low

  * New upstream release
  * add call to dh_desktop

 -- Carlo Segre <segre@debian.org>  Sat, 19 Jul 2008 11:00:32 -0500

sixpack (1:0.62-2) unstable; urgency=low

  * Upgrade to Standards Version 3.8.0:
    - Added note in debian/copyright to explain contrib status of 
      package;
    - Added Homepage field to debian/control.
  * Rebuild to correct placement of files into /usr/share/pyshared 
    (Closes: #490507).

 -- Carlo Segre <segre@debian.org>  Sat, 12 Jul 2008 09:27:48 -0500

sixpack (1:0.62-1ubuntu1) hardy; urgency=low

  * Merge from debian unstable, remaining changes:
    - debian/README.Debian: Note about sixpack -> sixpack-bibtex rename.

 -- William Grant <william.grant@ubuntu.org.au>  Wed, 12 Dec 2007 16:38:21 +1100

sixpack (1:0.62-1) unstable; urgency=low

  * New upstream release

 -- Carlo Segre <segre@debian.org>  Wed, 21 Nov 2007 01:07:42 -0600

sixpack (1:0.61-1ubuntu1) hardy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/README.Debian: Note about sixpack -> sixpack-bibtex rename.

 -- William Grant <william.grant@ubuntu.org.au>  Mon, 29 Oct 2007 11:40:59 +1100

sixpack (1:0.61-1) unstable; urgency=low

  * New upstream release
  * Setting epoch to 1 for better coordination with Ubuntu and to avoid 
    conflict with a package previously named sixpack (now sixpack-bibtex) 
    which had higher version numbers than this in Ubuntu.

 -- Carlo Segre <segre@debian.org>  Sun, 23 Sep 2007 02:04:11 -0500

sixpack (0.60-3) unstable; urgency=low

  * Restoring sane desktop settings despite lintian warning

 -- Carlo Segre <segre@debian.org>  Sun, 23 Sep 2007 01:33:32 -0500

sixpack (0.60-2) unstable; urgency=low

  * Comply with menu and desktop policy

 -- Carlo Segre <segre@debian.org>  Sat, 18 Aug 2007 13:52:31 -0500

sixpack (0.60-1) unstable; urgency=low

  * New upstream release

 -- Carlo Segre <segre@debian.org>  Sat, 21 Jul 2007 21:24:17 -0500

sixpack (1:0.59-1ubuntu1) gutsy; urgency=low

  * Add epoch to allow upgrades from old sixpack package.
  * debian/README.Debian: Note that the old sixpack has been renamed to
    sixpack-bibtex.
  * debian/control: Replace Maintainer field.

 -- William Grant <william.grant@ubuntu.org.au>  Sun, 29 Apr 2007 12:16:08 +1000

sixpack (0.59-1) unstable; urgency=low

  * New upstream release

 -- Carlo Segre <segre@debian.org>  Mon, 12 Feb 2007 23:00:42 -0600

sixpack (0.57-5) unstable; urgency=low

  * Remove ifeffit from build dependencies

 -- Carlo Segre <segre@debian.org>  Fri, 24 Nov 2006 13:07:15 -0600

sixpack (0.57-4) unstable; urgency=low

  * Change executable name to SixPACK to avoid conflict with another
    program which is to be placed in Debian (Closes: #397873 again!).

 -- Carlo Segre <segre@debian.org>  Sat, 11 Nov 2006 15:37:31 -0600

sixpack (0.57-3) unstable; urgency=low

  * Clean up debian/copyright and add a manpage
  * First Debian release (Closes: #397873)

 -- Carlo Segre <segre@debian.org>  Thu,  9 Nov 2006 22:37:18 -0600

sixpack (0.57-2) unstable; urgency=low

  * Convert to python-central build system
  * Corrected program version number in spglobalfuncs.py

 -- Carlo Segre <segre@debian.org>  Thu, 31 Aug 2006 09:20:26 -0500

sixpack (0.57-1) unstable; urgency=low

  * New upstream release



=== debian/control ===
Source: sixpack
Section: contrib/science
Priority: optional
Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
XSBC-Original-Maintainer: Carlo Segre <segre@debian.org>
Build-Depends: debhelper (>= 8), python-all (>= 2.6.6-3~), 
               python-tk, python-pmw
X-Python-Version: >= 2.4
Homepage: http://www-ssrl.slac.stanford.edu/~swebb/sixpack.htm
Standards-Version: 3.9.2

Package: sixpack
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, ifeffit, python-tk, python-pmw, 
         tix, python-ifeffit, python-numpy, blt, python-scientific
XB-Python-Version: ${python:Versions}
Provides: ${python:Provides}
Description: full-featured package for XAS analysis
 Sam's Interface for XAS Package, or SIXPack for short, is the unification 
 of the previously named SamXAS and SamView programs into a single analysis 
 package.  Thus the package can guide the user through data averaging and 
 calibration, background removal, and many aspects of fitting.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PYVERS=$(shell pyversions -vr)

build: build-arch build-indep

build-arch: 

build-indep: build-stamp

build-stamp: build-prereq $(PYVERS:%=build-python%)
# This is to force building of the sixpack script without an explicit 
# python version in the #! line.
	python setup.py build_scripts --build-dir=build/scripts || exit 1 ; 
	touch $@
 
build-prereq:
# Rename main program to the Debian name.  This is to avoid a naming conflict
# with a command line program in the EMBOSS suite.  Not the optimal solution 
# but acceptable. (CUS)
	cp -a sixpack.py SIXpack

build-python%:
	dh_testdir
	python$* setup.py build || exit 1;
	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp build-python*

	# Clean up after the build process.
	/usr/bin/python setup.py clean
	rm -f *.pyc
# Remove the copied file.
	rm -f SIXpack
	rm -rf build

	dh_clean 

install: build install-prereq install-all-pythons

install-prereq:
	dh_testdir
	dh_testroot
	dh_prep 
	dh_installdirs

install-all-pythons: $(PYVERS:%=install-python%)
# This is to force installation of the sixpack script without a specific
# version of python explicitly names in the #! line (Debian idiosyncracy).
# It actually overwrites the scripts installed by each of the install-python% 
# rules below...
	python setup.py install_scripts --force \
	 --install-dir=$(CURDIR)/debian/sixpack/usr/bin \
	 --build-dir=build/scripts || exit 1 ;
	cp -a xbms/* $(CURDIR)/debian/sixpack/usr/share/SIXpack/
	cp -a splogo.gif $(CURDIR)/debian/sixpack/usr/share/SIXpack/splogo.gif
	cp -a test.inp $(CURDIR)/debian/sixpack/usr/share/SIXpack/
	cp -a mnexafsfit.iff $(CURDIR)/debian/sixpack/usr/share/SIXpack/
	dh_install debian/SIXpack.xpm usr/share/pixmaps
	dh_install debian/SIXpack.desktop usr/share/applications

install-python%:
	# Install the package into debian/sixpack.
	dh_installdirs usr/lib/python$* usr/lib/python$*/site-packages
	python$* setup.py install \
	 --prefix=$(CURDIR)/debian/sixpack/usr || exit 1;
	-find $(CURDIR)/debian/ -name '*.py[co]' | xargs rm -f

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installdocs -i 
	dh_installexamples -i
	dh_installmenu -i
#	dh_desktop -i
	dh_installman -i
	dh_installinfo -i
	dh_installchangelogs -i
	dh_python2
	dh_link -i
	dh_strip -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
